package com.njcn.process.enums;

import lombok.Getter;

/**
 * 异常处理类
 * @author qijian
 * @version 1.0.0
 * @date 2022年11月11日 09:56
 */
@Getter
public enum ProcessResponseEnum {

    /**
     * 过程监督异常响应码的范围：
     * A00550 ~ A00649
     */
    PROCESS_COMMON_ERROR("A00550","监督管理模块异常"),
    ARCHIVE_ERROR("A00552","不满足归档调节，操作失败！"),
    PROCESS_ERROR("A00553","当前流程未审核通过，操作失败！"),
    QUERY_IS_EMPTY("A00554","当前未查询到当前策略信息，无法删除!"),
    ENABLED_CANNOT_BE_DELETED("A00555","策略为启用状态不能删除!"),
    THERE_IS_ONLY_ONE_STRATEGY("A00556","各个策略等级，通用策略只能有一条!"),
    TERMINAL_ID_REPEAT("A00351","终端编号已存在"),

    SUPV_PLAN_REPEAT("A00568","监督计划名称已存在")
    ;

    private final String code;

    private final String message;

    ProcessResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
